
QGIS Application - Bug report #20911

Merge vector layers algorithm fails when ID fields have different data type (Integer instead of 

Integer64)

2019-01-03 06:05 PM - Carolyn Krause

Status: Closed

Priority: Normal

Assignee:

Category: Processing/Core

Affected QGIS version:3.4.3 Regression?: No

Operating System: Windows 10 Pro Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 28730

Description

I ran the Merge vector layers algorithm on three multipolygon polygon shapefiles. The algorithm completely failed to create a merged

layer.  The log is as follows:

Processing algorithm…

Algorithm 'Merge vector layers' starting…

Input parameters:

{ 'CRS' : None, 'LAYERS' : ['C:/Users/CRRGIS/Documents/GIS DataBase/CRCWMA/Area Controlled - Group Workday at Valley

View.shp','C:/Users/CRRGIS/Documents/GIS DataBase/CRCWMA/Area Treated Detail

2015-16_normalized.shp','C:/Users/CRRGIS/Documents/GIS DataBase/CRCWMA/Combined CWMA Area Controlled

2012-2014.shp'], 'OUTPUT' : 'memory:' }

Taking destination CRS EPSG:3734 from layer

Setting output type to MultiPolygon

ID field in layer Combined CWMA Area Controlled 2012-2014 has different data type than in other layers (Integer instead of

Integer64)

Execution failed after 0.12 seconds

Loading resulting layers

Algorithm 'Merge vector layers' finished

This is inconsistent with the algorithm description, which says

If attributes tables are different, the attribute table of the resulting layer will contain the attributes from all input layers. New attributes

will be added for the original layer name and source.

It seems like QGIS should be able to combine an integer field with an integer64 field, but even if it can't it should still merge the layers, and

put the incompatible attributes in two separate ID fields, renaming one of them if necessary.

History

#1 - 2019-01-07 09:17 AM - Giovanni Manghi

- Status changed from Open to Feedback

Please attach sample data.
#2 - 2019-03-08 11:58 AM - Giovanni Manghi

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Closing for lack of feedback.
